UbixOS V2 2.0

Data Fields
freebsd6_mmap_args Struct Reference

`#include <vmm.h>`

Collaboration diagram for freebsd6_mmap_args:

## Data Fields
caddr_t | addr
char | addr_l_ [PADL_(caddr_t)]
char | addr_r_ [PADR_(caddr_t)]
int | fd
char | fd_l_ [PADL_(int)]
char | fd_r_ [PADR_(int)]
int | flags
char | flags_l_ [PADL_(int)]
char | flags_r_ [PADR_(int)]
size_t | len
char | len_l_ [PADL_(size_t)]
char | len_r_ [PADR_(size_t)]
int | pad
char | pad_l_ [PADL_(int)]
char | pad_r_ [PADR_(int)]
off_t | pos
char | pos_l_ [PADL_(off_t)]
char | pos_r_ [PADR_(off_t)]
int | prot
char | prot_l_ [PADL_(int)]
char | prot_r_ [PADR_(int)]

## Detailed Description

Definition at line 73 of file vmm.h.

## Field Documentation

## ◆ addr

caddr_t freebsd6_mmap_args::addr

Definition at line 75 of file vmm.h.

Referenced by freebsd6_mmap().

## ◆ addr_l_

char freebsd6_mmap_args::addr_l_[PADL_(caddr_t)]

Definition at line 74 of file vmm.h.

## ◆ addr_r_

char freebsd6_mmap_args::addr_r_[PADR_(caddr_t)]

Definition at line 76 of file vmm.h.

## ◆ fd

int freebsd6_mmap_args::fd

Definition at line 90 of file vmm.h.

Referenced by freebsd6_mmap().

## ◆ fd_l_

char freebsd6_mmap_args::fd_l_[PADL_(int)]

Definition at line 89 of file vmm.h.

## ◆ fd_r_

char freebsd6_mmap_args::fd_r_[PADR_(int)]

Definition at line 91 of file vmm.h.

## ◆ flags

int freebsd6_mmap_args::flags

Definition at line 87 of file vmm.h.

Referenced by freebsd6_mmap().

## ◆ flags_l_

char freebsd6_mmap_args::flags_l_[PADL_(int)]

Definition at line 85 of file vmm.h.

## ◆ flags_r_

char freebsd6_mmap_args::flags_r_[PADR_(int)]

Definition at line 88 of file vmm.h.

## ◆ len

size_t freebsd6_mmap_args::len

Definition at line 79 of file vmm.h.

Referenced by freebsd6_mmap().

## ◆ len_l_

char freebsd6_mmap_args::len_l_[PADL_(size_t)]

Definition at line 78 of file vmm.h.

## ◆ len_r_

char freebsd6_mmap_args::len_r_[PADR_(size_t)]

Definition at line 80 of file vmm.h.

## ◆ pad

int freebsd6_mmap_args::pad

Definition at line 94 of file vmm.h.

Referenced by freebsd6_mmap().

## ◆ pad_l_

char freebsd6_mmap_args::pad_l_[PADL_(int)]

Definition at line 93 of file vmm.h.

## ◆ pad_r_

char freebsd6_mmap_args::pad_r_[PADR_(int)]

Definition at line 95 of file vmm.h.

## ◆ pos

off_t freebsd6_mmap_args::pos

Definition at line 98 of file vmm.h.

Referenced by freebsd6_mmap().

## ◆ pos_l_

char freebsd6_mmap_args::pos_l_[PADL_(off_t)]

Definition at line 97 of file vmm.h.

## ◆ pos_r_

char freebsd6_mmap_args::pos_r_[PADR_(off_t)]

Definition at line 99 of file vmm.h.

## ◆ prot

int freebsd6_mmap_args::prot

Definition at line 83 of file vmm.h.

Referenced by freebsd6_mmap().

## ◆ prot_l_

char freebsd6_mmap_args::prot_l_[PADL_(int)]

Definition at line 82 of file vmm.h.

## ◆ prot_r_

char freebsd6_mmap_args::prot_r_[PADR_(int)]

Definition at line 84 of file vmm.h.

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/include/vmm/vmm.h